vp8dx.h File Reference
Supported Codecs » VP8 » WebM VP8/VP9 Decoder

Provides definitions for using VP8 or VP9 within the vpx Decoder interface. More...

`#include "./vp8.h"`

Go to the source code of this file.

## Data Structures

struct | vpx_decrypt_init
| Structure to hold decryption state. More...

## Typedefs

typedef void(* | vpx_decrypt_cb) (void *decrypt_state, const unsigned char *input, unsigned char *output, int count)
typedef struct vpx_decrypt_init | vpx_decrypt_init
| Structure to hold decryption state. More...

## Enumerations

enum

vp8_dec_control_id {
VP8D_GET_LAST_REF_UPDATES = VP8_DECODER_CTRL_ID_START , VP8D_GET_FRAME_CORRUPTED , VP8D_GET_LAST_REF_USED , VPXD_SET_DECRYPTOR ,
VP8D_SET_DECRYPTOR = VPXD_SET_DECRYPTOR , VP9D_GET_FRAME_SIZE , VP9D_GET_DISPLAY_SIZE , VP9D_GET_BIT_DEPTH ,
VP9_SET_BYTE_ALIGNMENT , VP9_INVERT_TILE_DECODE_ORDER , VP9_SET_SKIP_LOOP_FILTER , VP9_DECODE_SVC_SPATIAL_LAYER ,
VPXD_GET_LAST_QUANTIZER , VP9D_SET_ROW_MT , VP9D_SET_LOOP_FILTER_OPT , VP8_DECODER_CTRL_ID_MAX
}

| VP8 decoder control functions. More...

## Algorithm interface for VP8

This interface provides the capability to decode VP8 streams.
vpx_codec_iface_t | vpx_codec_vp8_dx_algo
vpx_codec_iface_t * | vpx_codec_vp8_dx (void)

## Algorithm interface for VP9

This interface provides the capability to decode VP9 streams.
vpx_codec_iface_t | vpx_codec_vp9_dx_algo
vpx_codec_iface_t * | vpx_codec_vp9_dx (void)

## Detailed Description

Provides definitions for using VP8 or VP9 within the vpx Decoder interface.